# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/pressure/invensense,icp10100.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: InvenSense ICP-101xx Barometric Pressure Sensors

maintainers:
  - Jean-Baptiste Maneyrol <jean-baptiste.maneyrol@tdk.com>

description: |
  Support for ICP-101xx family: ICP-10100, ICP-10101, ICP-10110, ICP-10111.
  Those devices uses a simple I2C communication bus, measuring the pressure
  in a ultra-low noise at the lowest power.
  Datasheet: https://product.tdk.com/system/files/dam/doc/product/sensor/pressure/capacitive-pressure/data_sheet/ds-000186-icp-101xx.pdf

properties:
  compatible:
    oneOf:
      - items:
          - enum:
              - invensense,icp10101
              - invensense,icp10110
              - invensense,icp10111
          - const: invensense,icp10100
      - const: invensense,icp10100

  reg:
    maxItems: 1

  vdd-supply: true

required:
  - compatible
  - reg
  - vdd-supply

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;
        pressure@63 {
            compatible = "invensense,icp10101", "invensense,icp10100";
            reg = <0x63>;
            vdd-supply = <&vdd_1v8>;
        };
    };
...
